﻿@import url("https://fonts.googleapis.com/css2?family=Delius&display=swap");

@font-face {
    font-family: "IRANSansWebLight";
    src: url("../fonts/IRANSansWeb_Light.woff2") format("woff2");
    font-weight: 300;
}

@font-face {
    font-family: "IRANSansWebRegular";
    src: url("../fonts/IRANSansWeb_Regular.woff2") format("woff2"), url("../fonts/IRANSansWeb_Regular.woff") format("woff");
    font-weight: 400;
}

@font-face {
    font-family: "IRANSansWebMedium";
    src: url("../fonts/IRANSansWeb_Medium.woff2") format("woff2"), url("../fonts/IRANSansWeb_Medium.woff") format("woff");
    font-weight: 500;
}

@font-face {
    font-family: "IRANSansWebBold";
    src: url("../fonts/IRANSansWeb_Bold.woff2") format("woff2"), url("../fonts/IRANSansWeb_Bold.woff") format("woff");
    font-weight: 700;
}

:root {
    --header-height: 3.5rem;
    --primary-color: hsl(18, 95%, 55%);
    --primary-gradient: linear-gradient(90deg, hsl(18, 95%, 55%), hsl(18, 98%, 64%));
    --secondary-color: hsl(42, 98%, 52%);
    --title-color: hsl(255, 12%, 12%);
    --text-color: hsl(255, 12%, 24%);
    --text-color-light: hsl(255, 4%, 70%);
    --body-color: hsl(0, 0%, 100%);
    --container-color: hsl(0, 0%, 100%);
    --white-color: hsl(0, 0%, 100%);
    --black-color: hsl(255, 20%, 10%);
    --gray-border: hsl(255, 6%, 90%);
    --black-border: hsl(255, 10%, 20%);
    --ff-IranSansWebLight: "IRANSansWebLight", Tahoma, sans-serif;
    --ff-IRANSansWebRegular: "IRANSansWebRegular", Tahoma, sans-serif;
    --ff-IRANSansWebMedium: "IRANSansWebMedium", Tahoma, sans-serif;
    --ff-IRANSansWebBold: "IRANSansWebBold", Tahoma, sans-serif;
    --ff-english: "Delius", cursive;
    --fs-xxxl: 2.25rem;
    --fs-xxl: 1.5rem;
    --fs-xl: 1.25rem;
    --fs-lg: 1rem;
    --fs-md: 0.938rem;
    --fs-sm: 0.813rem;
    --fw-bold: 700;
    --fw-semibold: 600;
    --fw-medium: 500;
    --fw-regular: 400;
    --fw-light: 300;
    --space-10: 5rem;
    --space-9: 4.5rem;
    --space-8: 4rem;
    --space-7: 3.5rem;
    --space-6: 3rem;
    --space-5: 2.5rem;
    --space-4: 2rem;
    --space-3: 1.5rem;
    --space-2: 1rem;
    --space-1: 0.5rem;
    --zi-hard: 100;
    --zi-soft: 10;
}

@media screen and (min-width: 1150px) {
    :root {
        --fs-xxxl: 3.5rem;
        --fs-xxl: 2.25rem;
        --fs-xl: 1.5rem;
        --fs-lg: 1.25rem;
        --fs-md: 1rem;
        --fs-sm: 0.875rem;
    }
}

/* base */

* {
    font-family: var(--ff-IranSansWebLight);
    padding: 0;
    margin: 0;
}

    *,
    *::before,
    *::after {
        box-sizing: border-box;
    }

html {
    scroll-behavior: smooth;
}

body {
    font-size: var(--fs-md);
    background-color: var(--body-color);
    color: var(--text-color);
}

h1,
h2,
h3,
h4 {
    font-family: var(--ff-IRANSansWebBold);
    font-weight: var(--fw-semibold);
}

ul {
    list-style-type: none;
}

a {
    text-decoration: none;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

/* utilities */

.container {
    max-width: 1120px;
    margin-inline: var(--space-3);
}

.section {
    padding-block: var(--space-10) var(--space-2);
}

.section__title,
.section__subtitle {
    text-align: center;
}

.section__title {
    font-size: var(--fs-xxl);
    font-weight: var(--fw-bold);
    margin-bottom: var(--space-3);
}

.section__subtitle {
    display: block;
    font-size: var(--fs-md);
    font-weight: var(--fw-semibold);
    color: var(--secondary-color);
    margin-bottom: var(--space-1);
}

/* pagination */

.pagination__list {
    display: flex;
    gap: var(--space-1);
    justify-content: center;
}

.pagination__link {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 32px;
    height: 32px;
    border: 1px solid var(--text-color-light);
    color: var(--black-color);
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1), -2px -2px 4px rgba(0, 0, 0, 0.1);
    transition: all 0.4s;
}

    .pagination__link:hover {
        background-color: var(--primary-color);
        color: var(--white-color);
    }

    .pagination__link.active {
        background-color: var(--primary-color);
        color: var(--white-color);
        box-shadow: inset 2px 2px 4px rgba(0, 0, 0, 0.1), inset -2px -2px 4px rgba(0, 0, 0, 0.1);
    }

/* tabs */

.tab {
    display: flex;
    gap: var(--space-1);
    overflow: hidden;
    margin-top: var(--space-5);
}

.tab__content {
    margin-bottom: var(--space-6);
}

.tab button {
    background-color: inherit;
    float: right;
    border: none;
    outline: none;
    cursor: pointer;
    padding: var(--space-2) var(--space-3);
    transition: 0.3s;
    font-size: 17px;
}

    .tab button:hover,
    .tab button.active {
        color: var(--white-color);
        background-color: var(--primary-color);
    }

.tab__content {
    display: none;
    padding: var(--space-3);
    text-align: justify;
    border: 2px solid var(--gray-border);
}

    .tab__content p {
        margin-block: var(--space-1);
    }

    .tab__content h2,
    .tab__content h3,
    .tab__content h4,
    .tab__content h5,
    .tab__content h6 {
        margin-block: var(--space-2);
    }

    .tab__content ul {
        list-style-type: square;
        list-style-position: inside;
        margin-block: var(--space-1);
    }

    .tab__content table {
        margin-top: var(--space-3);
        width: 100%;
        text-align: right;
        border-collapse: collapse;
    }

        .tab__content table tr:nth-child(even) {
            background-color: var(--gray-border);
        }

        .tab__content table th,
        .tab__content table td {
            padding: var(--space-1) var(--space-2);
        }

/*=============== LOGIN ===============*/
.login {
    position: fixed;
    top: -100%;
    left: 0;
    width: 100%;
    height: 100%;
    display: grid;
    z-index: 100;
    background-color: hsla(230, 12%, 96%, 0.6);
    backdrop-filter: blur(16px);
    align-items: center;
    padding: 1.5rem;
    text-align: center;
    transition: top 0.4s;
}

.login__form {
    background-color: var(--white-color);
    padding: 2rem 1.5rem;
    border: 2px solid var(--border-color);
    row-gap: 1.25rem;
}

.login__title {
    font-size: var(--fs-md);
    margin-bottom: var(--space-3);
}

.login__group {
    row-gap: 1.25rem;
}

.login__label {
    display: block;
    text-align: initial;
    color: var(--title-color);
    font-weight: var(--font-medium);
    margin-bottom: 0.25rem;
}

.login__input {
    width: 100%;
    background-color: var(--white-color);
    border: 2px solid var(--border-color);
    padding: 1rem;
    color: var(--text-color);
    text-align: left;
    direction: ltr;
}

.login__signup,
.login__forget {
    display: block;
    font-size: var(--small-font-size);
}

.login__signup {
    margin-bottom: 0.5rem;
}

    .login__signup a {
        color: var(--first-color);
        font-weight: var(--font-medium);
    }

.login__forget {
    color: var(--first-color);
    margin-bottom: 1.25rem;
}

.login__button {
    width: 100%;
    cursor: pointer;
}

.login__close {
    position: absolute;
    top: 2rem;
    right: 2rem;
    font-size: 2rem;
    color: var(--title-color);
    cursor: pointer;
}

/* login */

.auth {
    margin-block: 8rem 6rem;
    padding-inline: var(--space-2);
}

.auth__content {
    width: 100%;
    max-width: 365px;
    margin-inline: auto;
    background-color: var(--white-color);
    color: var(--text-color);
    padding: var(--space-3);
}

.auth__header {
    text-align: center;
    margin-bottom: var(--space-2);
}

    .auth__header h3 {
        font-weight: var(--fw-semi-bold);
        font-size: var(--fs-lg);
    }

    .auth__header p {
        color: #777;
        font-size: var(--fs-sm);
    }

.auth__group {
    display: flex;
    flex-direction: column;
}

.auth__input {
    padding: var(--space-1);
    margin-bottom: var(--space-2);
}

.button__auth {
    display: block;
    width: 100%;
    cursor: pointer;
}

/* Show login */
.show-login {
    top: 0;
}

@media screen and (min-width: 576px) {
    .search__form,
    .search__list {
        width: 500px;
        margin-inline: auto;
    }

    .login__form {
        width: 400px;
        justify-self: center;
    }

    .search__close,
    .login__close {
        width: max-content;
        top: 4rem;
        left: 0;
        right: 0;
        margin-inline: auto;
    }
}

/* header */

.header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    background-color: var(--black-color);
    z-index: var(--zi-hard);
    transition: background-color 0.4s;
}

    .header.active {
        background-color: var(--body-color);
        box-shadow: 0 4px 16px hsla(255, 90%, 8%, 0.1);
    }

        .header.active .nav__logo span,
        .header.active .nav__toggle {
            color: var(--title-color);
        }

.nav {
    position: relative;
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav__logo,
.nav__label {
    display: flex;
    align-items: baseline;
    column-gap: 0.25rem;
}

    .nav__logo i,
    .nav__label i {
        color: var(--primary-color);
        font-size: 1.5rem;
    }

    .nav__logo span,
    .nav__label span {
        font-family: var(--ff-english);
        font-size: var(--fs-xl);
        color: var(--white-color);
        font-weight: var(--fw-semibold);
        transition: color 0.4s;
    }

.nav__close,
.nav__toggle {
    font-size: 1.5rem;
    color: var(--white-color);
    cursor: pointer;
    transition: color 0.4s;
}

.nav__label {
    display: none;
}

@media screen and (max-width: 1150px) {
    .nav__menu {
        position: fixed;
        top: 0;
        right: -100%;
        background-color: var(--black-color);
        width: 100%;
        height: 100%;
        padding: 7.5rem var(--space-7) 0;
        border-left: 2px solid var(--black-border);
        transition: right 0.4s;
    }

        .nav__menu.active {
            right: 0;
        }

    .nav__label {
        display: flex;
        position: absolute;
        top: var(--space-2);
        right: var(--space-3);
    }
}

.nav__list {
    display: flex;
    flex-direction: column;
    row-gap: var(--space-6);
}

.nav__link {
    color: var(--text-color-light);
    font-weight: var(--fw-semibold);
    transition: color 0.4s;
}

    .nav__link:hover {
        color: var(--primary-color);
    }

    .nav__link.active {
        color: var(--primary-color);
    }

.nav__close {
    position: absolute;
    top: var(--space-2);
    left: var(--space-3);
}

/* button */

.button {
    display: inline-flex;
    background: var(--primary-gradient);
    color: var(--white-color);
    font-weight: var(--fw-semibold);
    padding: var(--space-2) var(--space-4);
    transition: box-shadow 0.4s;
}

    .button:hover {
        box-shadow: 0 8px 32px hsla(18, 95%, 55%, 0.3);
        color: var(--white-color);
    }

/* main */

.main {
    overflow: hidden;
}

/* home */

.home {
    position: relative;
    background-color: var(--black-color);
}

.home__container {
    display: grid;
    row-gap: 3rem;
    padding-block: var(--space-5) 6rem;
}

.home__content {
    display: grid;
    row-gap: var(--space-5);
}

.home__data {
    text-align: center;
}

.home__title {
    color: var(--white-color);
    font-size: var(--fs-xxxl);
    font-weight: var(--fw-bold);
    margin-bottom: var(--space-2);
}

.home__description {
    margin-bottom: var(--space-5);
    color: var(--text-color-light);
}

.home__cta {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: var(--space-4);
}

.button__link {
    display: flex;
    align-items: center;
    column-gap: 0.25rem;
    color: var(--primary-color);
}

    .button__link i {
        font-size: 1.5rem;
        transition: transform 0.4s;
        font-weight: var(--fw-semibold);
    }

    .button__link:hover i {
        transform: translateX(-0.25rem);
    }

.home__list {
    display: flex;
    justify-content: center;
    text-align: center;
    column-gap: var(--space-9);
}

.home__item--title {
    color: var(--secondary-color);
    font-size: var(--fs-xxxl);
    font-weight: var(--fw-bold);
}

.home__item--description {
    font-size: var(--fs-sm);
    color: var(--white-color);
}

.home__figure {
    position: relative;
    justify-self: center;
}

.home__img--1 {
    width: 250px;
    margin-left: var(--space-7);
}

.home__img--2 {
    width: 150px;
    border: 5px solid var(--black-color);
    position: absolute;
    left: 0;
    bottom: -3.5rem;
}

/* about */

.about__content {
    display: grid;
    row-gap: 8rem;
}

.about__info {
    text-align: center;
}

.about__description {
    margin-bottom: var(--space-4);
}

.about__list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    text-align: right;
    justify-content: center;
    gap: var(--space-3);
    margin-bottom: var(--space-5);
}

.about__item {
    display: flex;
    align-items: center;
    column-gap: var(--space-1);
    color: var(--title-color);
}

    .about__item i {
        font-size: 1.25rem;
        color: var(--primary-color);
    }

    .about__item span {
        font-size: var(--fs-sm);
    }

.about__figure {
    position: relative;
    justify-self: center;
}

.about__img--1 {
    width: 200px;
    border: 5px solid var(--body-color);
    position: absolute;
    top: -5rem;
    left: 6rem;
}

.about__img--2 {
    width: 250px;
    margin-right: var(--space-5);
}

/* category */

.category {
    padding-block: var(--space-8) var(--space-2);
}

.category__list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: var(--space-3);
    margin-top: var(--space-4);
}

.category__figure {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--space-3);
}

.category__link {
    color: var(--text-color);
    transition: 0.4s;
}

    .category__link:hover {
        opacity: 0.75;
    }

/* services */

.services {
    position: relative;
}

.services__container {
    position: relative;
}

.services__content {
    display: grid;
    row-gap: var(--space-3);
    position: relative;
    row-gap: var(--space-6);
}

.services__info {
    text-align: center;
}

.services__description {
    margin-bottom: var(--space-4);
    margin-left: var(--space-3);
    margin-top: var(--space-3);
}

.services__item {
    width: 260px;
    background-color: var(--container-color);
    border: 2px solid var(--gray-border);
    padding: var(--space-4) var(--space-2) var(--space-7);
    transition: border-color 0.4s;
}

    .services__item:hover {
        border-color: var(--primary-color);
    }

.services__icon {
    width: 70px;
    height: 70px;
    background-color: var(--black-color);
    color: var(--white-color);
    border-radius: 50%;
    display: grid;
    place-items: center;
    font-size: 2.5rem;
    margin-bottom: var(--space-3);
}

.services__title {
    font-size: var(--fs-xl);
    margin-bottom: var(--space-1);
}

.swiper {
    margin-inline: initial;
    padding-bottom: var(--space-8);
}

.swiper-button-prev::after,
.swiper-button-next::after {
    content: "";
}

.swiper-button-prev,
.swiper-button-next {
    top: initial;
    bottom: 0;
    width: 32px;
    height: 32px;
    background-color: var(--container-color);
    box-shadow: 0 2px 8px hsla(255, 8%, 4%, 0.1);
    border-radius: 50%;
    font-size: 1.5rem;
    color: var(--title-color);
}

.swiper-button-prev {
    left: calc(50% - 3rem);
}

.swiper-button-next {
    right: calc(50% - 3rem);
}

.services__shape {
    position: absolute;
    width: 100%;
    height: 245px;
    background-color: var(--black-color);
    bottom: 0;
    left: 0;
}

/* products */
.products {
    background-color: var(--black-color);
}

    .products .section__title {
        color: var(--white-color);
    }

.products__list,
.related__list {
    display: grid;
    padding-block: var(--space-3) var(--space-6);
    gap: var(--space-3);
}

.products__item,
.related__item {
    background-color: var(--container-color);
    border: 2px solid transparent;
    background-clip: content-box;
    transition: border-color 0.4s;
}

    .products__item:hover,
    .related__item:hover {
        border-color: var(--primary-color);
    }

.products__links,
.related__links {
    color: var(--text-color);
}

.products__info,
.related__info {
    padding: var(--space-3) var(--space-2) var(--space-6);
}

.products__title,
.related__title {
    font-size: var(--fs-xl);
    margin-block: var(--space-1);
}

.products__date {
    display: block;
    font-weight: var(--fw-medium);
    color: var(--title-color);
    margin-bottom: var(--space-3);
}

.products__cta {
    display: flex;
    justify-content: flex-end;
}

.products__link {
    display: flex;
    gap: var(--space-1);
    align-items: center;
}

.products__form {
    display: flex;
    justify-content: space-around;
}

.products__filter label {
    font-size: 0.75rem;
    font-weight: var(--fw-semibold);
}

.products__category,
.products__sort {
    display: flex;
    flex-direction: column;
    gap: var(--space-1);
}

.products__filter select {
    width: 100%;
    min-width: 128px;
    background-color: var(--white-color);
    padding: var(--space-1);
}

.products__brand {
    display: none;
}

.related__title {
    text-align: center;
}

/* contact */

.contact__info {
    display: grid;
    gap: var(--space-6);
    padding-block: var(--space-3) var(--space-6);
}

.contact__img {
    width: 320px;
    justify-self: center;
}

.contact__list {
    display: grid;
    gap: var(--space-3);
    grid-template-columns: 230px;
    justify-content: center;
}

.contact__item {
    background-color: var(--container-color);
    border: 2px solid var(--gray-border);
    padding: var(--space-3) var(--space-4);
    text-align: center;
    transition: border-color 0.4s;
}

    .contact__item:hover {
        border-color: var(--primary-color);
    }

.contact__icon {
    width: 48px;
    height: 48px;
    background-color: var(--black-color);
    color: var(--white-color);
    border-radius: 50%;
    display: grid;
    place-items: center;
    font-size: 2rem;
    margin: 0 auto 1.25rem;
}

.contact__title {
    font-size: var(--fs-xl);
    margin-bottom: var(--space-1);
}

.contact__info {
    font-style: normal;
}

.contact__social {
    display: flex;
    justify-content: center;
    column-gap: var(--space-2);
}

    .contact__social a {
        font-size: 1.5rem;
        color: var(--primary-color);
        transition: transform 0.4s;
    }

        .contact__social a:hover {
            transform: translateY(-0.25rem);
        }

/* product */

.product__header {
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    gap: var(--space-3);
}

.product__gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--space-1);
    margin-top: var(--space-2);
}

    .product__gallery img {
        border: 5px solid var(--body-color);
        cursor: pointer;
    }

        .product__gallery img.active {
            border: 5px solid var(--primary-color);
        }

.product__title {
    font-size: var(--fs-xxl);
    margin-bottom: var(--space-2);
}

.product__description {
    font-size: var(--fs-md);
    color: var(--text-color);
    text-align: justify;
    margin-bottom: var(--space-2);
}

.product__id,
.product__category,
.product__tags {
    font-size: var(--fs-sm);
}

.product__id {
    display: flex;
    gap: var(--space-1);
}

.product__category,
.product__tags {
    display: flex;
    gap: var(--space-1);
}

    .product__category nav,
    .product__tags nav {
        display: flex;
        flex-wrap: wrap;
        gap: var(--space-1);
    }

        .product__category nav a::after,
        .product__tags nav a::after {
            content: "،";
        }

        .product__category nav a:last-child::after,
        .product__tags nav a:last-child::after {
            content: "";
        }

        .product__category nav a:hover,
        .product__tags nav a:hover {
            text-decoration: underline;
        }

.product__grid {
    display: flex;
    flex-direction: column;
    gap: var(--space-1);
}

/* footer */

.footer {
    background-color: var(--black-color);
    color: var(--text-color-light);
    padding-block: var(--space-7) var(--space-4);
}

.footer__container {
    display: grid;
    row-gap: var(--space-8);
    padding-bottom: var(--space-8);
    border-bottom: 1px solid var(--black-border);
}

.footer__logo {
    display: inline-flex;
    align-items: center;
    column-gap: 0.25rem;
}

    .footer__logo span {
        color: var(--white-color);
        font-size: var(--fs-lg);
        font-weight: var(--fw-semibold);
    }

    .footer__logo i {
        color: var(--primary-color);
        font-size: 1.5rem;
    }

.footer__description {
    margin-block: var(--space-2);
}

.footer__email,
.footer__address {
    font-style: normal;
}

.footer__email {
    display: flex;
    flex-direction: column;
    gap: var(--space-2);
}

    .footer__email h6 {
        font-size: var(--fs-md);
    }

    .footer__email p {
        text-align: left;
        font-size: var(--fs-sm);
        color: var(--primary-color);
    }

.footer__content {
    display: grid;
    gap: var(--space-8) var(--space-6);
    grid-template-columns: repeat(2, max-content);
}

.footer__title {
    font-size: var(--fs-lg);
    color: var(--white-color);
    margin-bottom: var(--space-2);
}

.footer__links,
.footer__list {
    display: grid;
    gap: var(--space-1);
}

.footer__link {
    color: var(--text-color-light);
    transition: color 0.4s;
}

    .footer__link:hover {
        color: var(--primary-color);
    }

.footer__social {
    display: flex;
    column-gap: var(--space-3);
}

    .footer__social a {
        font-size: 1.5rem;
        color: var(--primary-color);
        transition: transform 0.4s;
    }

        .footer__social a:hover {
            transform: translateY(-0.25rem);
        }

.footer__copyright {
    display: block;
    text-align: center;
    font-size: var(--fs-sm);
    margin-top: var(--space-8);
}

    .footer__copyright a {
        color: var(--white-color);
        font-size: 0.75rem;
        transition: color 0.4s;
    }

        .footer__copyright a:hover {
            color: var(--primary-color);
        }

/* scrollbar */

::-webkit-scrollbar {
    width: 0.6rem;
    background-color: hsl(255, 5%, 75%);
}

::-webkit-scrollbar-thumb {
    background-color: hsl(255, 5%, 35%);
}

    ::-webkit-scrollbar-thumb:hover {
        background-color: hsl(255, 5%, 15%);
    }

/* scrollup */

.scrollup {
    position: fixed;
    right: var(--space-2);
    bottom: -100%;
    background-color: var(--body-color);
    box-shadow: 0 4px 16px hsla(255, 90%, 8%, 0.15);
    color: var(--title-color);
    display: inline-flex;
    padding: 6px;
    font-size: 1.25rem;
    z-index: var(--zi-soft);
    transition: bottom 0.4s;
}

    .scrollup.active {
        bottom: var(--space-6);
    }

/* breakpoint */

/* sm */

@media screen and (max-width: 340px) {
    .container {
        margin-inline: var(--space-2);
    }

    .section__title {
        font-size: 1.25rem;
    }

    .home__title {
        font-size: 1.75rem;
    }

    .home__cta {
        flex-direction: column;
    }

    .home__img-1 {
        width: 200px;
        margin-left: 1.5rem;
    }

    .about__list {
        grid-template-columns: repeat(1, 200px);
    }

    .about__img--1 {
        width: 150px;
        left: var(--space-8);
    }

    .about__img--2 {
        width: 200px;
        margin-right: 0;
    }

    .footer__content {
        grid-template-columns: repeat(1, max-content);
    }
}

/* md */

@media screen and (min-width: 540px) {
    .home__content,
    .about__content,
    .services__content,
    .products__list,
    .contact__info,
    .related__list {
        grid-template-columns: 360px;
        justify-content: center;
    }

    .footer__content {
        grid-template-columns: repeat(3, max-content);
    }
}

@media screen and (min-width: 768px) {
    .nav__menu {
        width: 50%;
    }

    .products__list,
    .related__list {
        grid-template-columns: repeat(2, 330px);
    }

    .contact__list {
        grid-template-columns: repeat(2, 240px);
    }

    .footer__container {
        grid-template-columns: repeat(2, max-content);
        justify-content: space-between;
    }
}

/* lg */

@media screen and (min-width: 1150px) {
    .container {
        margin-inline: auto;
    }

    .section {
        padding-block: 7rem var(--space-4);
    }

    .nav {
        height: calc(var(--header-height) + 2rem);
        flex-direction: row-reverse;
    }

    .nav__toggle,
    .nav__close {
        display: none;
    }

    .nav__menu {
        width: initial;
    }

    .nav__list {
        flex-direction: row;
        align-items: center;
        column-gap: var(--space-8);
    }

    .header.active .nav__link {
        color: var(--black-color);
    }

        .header.active .nav__link:hover {
            color: var(--primary-color);
        }

        .header.active .nav__link.active {
            color: var(--primary-color);
        }

        .header.active .nav__link.button.active {
            color: var(--white-color);
        }

        .header.active .nav__link.button:hover {
            color: var(--white-color);
        }

    .home__container {
        grid-template-columns: 475px 550px;
        column-gap: 6rem;
        align-items: flex-start;
        padding-top: 5.5rem;
    }

    .home__content {
        row-gap: var(--space-9);
    }

    .home__data {
        text-align: initial;
    }

    .home__description {
        margin-bottom: var(--space-6);
    }

    .home__cta {
        justify-content: initial;
        column-gap: var(--space-6);
    }

    .home__list {
        justify-content: initial;
        column-gap: 5.5rem;
    }

    .home__item--description {
        font-size: var(--fs-md);
    }

    .home__img--1 {
        width: 550px;
        margin-left: 0;
    }

    .home__img--2 {
        width: 350px;
        border-width: 10px;
        left: -7rem;
        bottom: -8rem;
    }

    .about__content {
        grid-template-columns: repeat(2, 480px);
        column-gap: 9rem;
        padding-block: 9rem var(--space-4);
    }

    .about__figure {
        order: -1;
    }

    .about__img--1 {
        width: 370px;
        border-width: 10px;
        top: -9rem;
        left: 11rem;
    }

    .about__img--2 {
        width: 470px;
    }

    .about__header,
    .about__header :is(.section__subtitle, .section__title),
    .about__body {
        text-align: initial;
    }

    .about__list {
        grid-template-columns: repeat(2, 1fr);
        margin-bottom: var(--space-7);
    }

    .category__list {
        gap: var(--space-5);
        margin-top: var(--space-8);
    }

    .services__content {
        grid-template-columns: initial;
    }

    .services__info {
        display: grid;
        grid-template-columns: 415px 370px max-content;
        justify-content: space-between;
        align-items: center;
    }

    .services__body {
        display: grid;
        height: 100%;
    }

        .services__info,
        .services__info :is(.section__title, .section__subtitle),
        .services__description {
            text-align: initial;
        }

    .services__description {
        align-self: center;
    }

    .services__header .section__title {
        margin-bottom: 0;
    }

    .services__swiper {
        max-width: 1100px;
    }

    .services__item {
        width: 348px;
        border-width: 3px;
        padding: var(--space-7) var(--space-4) 6rem;
    }

    .services__shape {
        height: 330px;
    }

    .swiper-button-prev,
    .swiper-button-next {
        width: 48px;
        height: 48px;
        left: calc(50% - 5rem);
    }

    .products__list,
    .related__list {
        grid-template-columns: repeat(3, 350px);
        column-gap: var(--space-4);
        padding-block: var(--space-10) var(--space-8);
    }

    .related__list {
        padding-block: var(--space-3);
    }

    .products__form {
        justify-content: space-between;
    }

    .products__actions {
        display: flex;
        gap: var(--space-3);
    }

    .products__brand {
        display: block;
    }

    .products__item {
        border-width: 3px;
    }

    .products__info {
        padding: var(--space-4) var(--space-3) var(--space-8);
    }

    .contact__content :is(.section__title, .section__subtitle) {
        text-align: initial;
    }

    .contact__info {
        grid-template-columns: 530px 515px;
        justify-content: initial;
        align-items: flex-start;
        column-gap: var(--space-7);
        padding-block: var(--space-7) var(--space-8);
    }

    .contact__img {
        width: 530px;
    }

    .contact__info {
        gap: var(--space-4);
    }

    .contact__item {
        border-width: 3px;
    }

    .contact__title {
        font-size: var(--fs-lg);
    }

    .product__header {
        grid-template-columns: 365px 1fr;
    }

    .related__title {
        text-align: right;
    }

    .footer {
        padding: var(--space-9) var(--space-6);
    }

    .footer__container {
        padding-bottom: 6rem;
    }

    .footer__content {
        column-gap: 7rem;
    }

    .footer__description {
        margin-block: var(--space-3);
    }

    .footer__title {
        margin-bottom: var(--space-3);
    }

    .footer__links,
    .footer__list {
        row-gap: var(--space-2);
    }

    .scrollup {
        right: var(--space-6);
    }
}
